curl --request POST \
--url https://api.unibee.dev/merchant/gateway/wire_transfer_edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"gatewayId": 123,
"minimumAmount": 123,
"bank": {
"accountHolder": "<string>",
"address": "<string>",
"ABARoutingNumber": "<string>",
"CNAPS": "<string>",
"Remarks": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bic": "<string>",
"bsbCode": "<string>",
"iban": "<string>",
"swiftCode": "<string>"
},
"displayName": "<string>",
"gatewayIcons": [
[
"<string>"
]
],
"sort": 123
}
'{
"code": 123,
"data": {
"gateway": {
"IsSetupFinished": true,
"archive": true,
"autoChargeEnabled": true,
"bank": {
"accountHolder": "<string>",
"address": "<string>",
"ABARoutingNumber": "<string>",
"CNAPS": "<string>",
"Remarks": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bic": "<string>",
"bsbCode": "<string>",
"iban": "<string>",
"swiftCode": "<string>"
},
"companyIssuer": {
"issueAddress": "<string>",
"issueCompanyName": "<string>",
"issueLogo": "<string>",
"issueRegNumber": "<string>",
"issueVatNumber": "<string>"
},
"countryConfig": {},
"createTime": 123,
"currency": "<string>",
"currencyExchange": [
{
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
}
],
"currencyExchangeEnabled": true,
"defaultGatewayPaymentType": {
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
},
"description": "<string>",
"displayName": "<string>",
"gatewayIcons": [
"<string>"
],
"gatewayId": 123,
"gatewayKey": "<string>",
"gatewayLogo": "<string>",
"gatewayName": "<string>",
"gatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"gatewaySecret": "<string>",
"gatewayType": 123,
"gatewayWebhookIntegrationLink": "<string>",
"gatewayWebsiteLink": "<string>",
"isDefault": true,
"metadata": {},
"minimumAmount": 123,
"name": "<string>",
"privateSecretName": "<string>",
"publicKeyName": "<string>",
"setupGatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"sort": 123,
"subGateway": "<string>",
"subGatewayName": "<string>",
"webhookEndpointUrl": "<string>",
"webhookSecret": "<string>"
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Edit the wire transfer
curl --request POST \
--url https://api.unibee.dev/merchant/gateway/wire_transfer_edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"gatewayId": 123,
"minimumAmount": 123,
"bank": {
"accountHolder": "<string>",
"address": "<string>",
"ABARoutingNumber": "<string>",
"CNAPS": "<string>",
"Remarks": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bic": "<string>",
"bsbCode": "<string>",
"iban": "<string>",
"swiftCode": "<string>"
},
"displayName": "<string>",
"gatewayIcons": [
[
"<string>"
]
],
"sort": 123
}
'{
"code": 123,
"data": {
"gateway": {
"IsSetupFinished": true,
"archive": true,
"autoChargeEnabled": true,
"bank": {
"accountHolder": "<string>",
"address": "<string>",
"ABARoutingNumber": "<string>",
"CNAPS": "<string>",
"Remarks": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bic": "<string>",
"bsbCode": "<string>",
"iban": "<string>",
"swiftCode": "<string>"
},
"companyIssuer": {
"issueAddress": "<string>",
"issueCompanyName": "<string>",
"issueLogo": "<string>",
"issueRegNumber": "<string>",
"issueVatNumber": "<string>"
},
"countryConfig": {},
"createTime": 123,
"currency": "<string>",
"currencyExchange": [
{
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
}
],
"currencyExchangeEnabled": true,
"defaultGatewayPaymentType": {
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
},
"description": "<string>",
"displayName": "<string>",
"gatewayIcons": [
"<string>"
],
"gatewayId": 123,
"gatewayKey": "<string>",
"gatewayLogo": "<string>",
"gatewayName": "<string>",
"gatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"gatewaySecret": "<string>",
"gatewayType": 123,
"gatewayWebhookIntegrationLink": "<string>",
"gatewayWebsiteLink": "<string>",
"isDefault": true,
"metadata": {},
"minimumAmount": 123,
"name": "<string>",
"privateSecretName": "<string>",
"publicKeyName": "<string>",
"setupGatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"sort": 123,
"subGateway": "<string>",
"subGatewayName": "<string>",
"webhookEndpointUrl": "<string>",
"webhookSecret": "<string>"
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/gateway/wire_transfer_edit
Edit the wire transfer
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
bank | string | No | |
currency | string | Yes | The currency of wire transfer |
displayName | string | No | The displayName of payment gateway |
gatewayIcons | array | No | The icons of payment gateway |
gatewayId | integer | Yes | The id of payment gateway |
minimumAmount | integer | Yes | The minimum amount of wire transfer, cents |
sort | integer | No | The sort value of payment gateway, The higher the value, the lower the ranking |
curl -X POST "https://api.unibee.dev/merchant/gateway/wire_transfer_edit" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"bank": "",
"currency": "",
"displayName": "",
"gatewayIcons": [],
"gatewayId": 0,
"minimumAmount": 0,
"sort": 0
}'
curl -X POST "https://api-sandbox.unibee.top/merchant/gateway/wire_transfer_edit" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"bank": "",
"currency": "",
"displayName": "",
"gatewayIcons": [],
"gatewayId": 0,
"minimumAmount": 0,
"sort": 0
}'
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.gateway | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Edit the wire transfer
The currency of wire transfer
The id of payment gateway
The minimum amount of wire transfer, cents
Show child attributes
The displayName of payment gateway
The icons of payment gateway
The sort value of payment gateway, The higher the value, the lower the ranking